Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class GenderInfoDeclarationType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.GenderInfoDeclarationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:15+01:00",
               comments="JAXB RI v2.2.11")
    public class GenderInfoDeclarationType

extends Object
implements Serializable

Type describing the GenderInfo part of the person information to be provided by the customer

Java class for GenderInfoDeclarationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenderInfoDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GenderCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}GenderCodeType" minOccurs="0"/>
             <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GenderInfoDeclarationType()`

Method Summary
`String` | `getGenderCode()` Gets the value of the genderCode property.
`org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
`void` | `setGenderCode(String value)` Sets the value of the genderCode property.
`void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenderInfoDeclarationType

    public GenderInfoDeclarationType()

Method Detail

### getGenderCode

    public String getGenderCode()

  Gets the value of the genderCode property.

  Returns:
    possible object is `String`

### setGenderCode

    public void setGenderCode(String value)

  Sets the value of the genderCode property.

  Parameters:
    `value` - allowed object is `String`

### getInceptionDate

    public org.joda.time.DateTime getInceptionDate()

  Gets the value of the inceptionDate property.

  Returns:
    possible object is `String`

### setInceptionDate

    public void setInceptionDate(org.joda.time.DateTime value)

  Sets the value of the inceptionDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.